#pragma once
#include <string>
struct WebServer {
    WebServer(int) {}
    void on(const char*, void(*)()) {}
    void on(const char*, int, void(*)()) {}
    void onNotFound(void(*)()) {}
    void begin() {}
    void handleClient() {}
    void stop() {}
    bool hasArg(const char*) { return false; }
    std::string arg(const char*) { return ""; }
    void send(int, const char*, const char*) {}
    void send_P(int, const char*, const char*) {}
    void sendHeader(const char*, const char*) {}
};
#define HTTP_GET 0
#define HTTP_POST 1
